base: &default
  superdomain: <%= superdomain = ENV.fetch('THREESCALE_SUPERDOMAIN', '3scale.net') %>
  apicast_internal_host_regexp: '\Asystem-(.*)\Z'
  secure_cookie: true
  finance_enabled: false
  force_ssl: true
  log_requests: false
  marketo_enabled: false
  apicast_oauth: true
  apicast_custom_url: true
  apicast_configuration_driven: true
  active_docs_url:
  active_docs_proxy_disabled: true
  asset_host: <%= ENV.fetch('RAILS_ASSET_HOST', nil) %>
  events_shared_secret: <%= ENV['EVENTS_SHARED_SECRET'] %>

  # System Emails
  noreply_email: <%= ENV.fetch('NOREPLY_EMAIL', "no-reply@#{superdomain}") %>
  support_email: <%= ENV.fetch('SUPPORT_EMAIL', "#{superdomain} Support <support@#{superdomain}>") %>
  sales_email: <%= ENV.fetch('SALES_EMAIL', "sales@#{superdomain}") %>
  notification_email: <%= ENV.fetch('NOTIFICATION_EMAIL', "#{superdomain} Notification <no-reply@#{superdomain}>") %>

  readonly_custom_domains_settings: false
  report_traffic: false
  hide_basic_switches: true
  tenant_mode: <%= ENV['TENANT_MODE'] %>
  db_secret:

preview:
  <<: *default

production:
  <<: *default
